> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve cardholder details

> This endpoint retrieve cardholder details by cardholder id.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField path="card_holder_id" type="string" required>
  The id of the cardholder for the card.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="details" defaultOpen>
    <ResponseField name="card_holder_id" type="string">
      The id of the cardholder for the card.
    </ResponseField>

    <ResponseField name="email" type="string">
      Email of cardholder.
    </ResponseField>

    <ResponseField name="first_name" type="string">
      First name of cardholder.
    </ResponseField>

    <ResponseField name="last_name" type="string">
      Last name of cardholder.
    </ResponseField>

    <ResponseField name="date_birth" type="string">
      Date birth of cardholder.
    </ResponseField>

    <ResponseField name="phone_number" type="string">
      Phone number of cardholder.
    </ResponseField>

    <ResponseField name="residential_address" type="string">
      Residential address of cardholder.
    </ResponseField>

    <ResponseField name="delivery_address" type="string">
      Delivery address of cardholder.
    </ResponseField>

    <ResponseField name="create_time" type="string">
      Create time of cardholder.
    </ResponseField>

    <ResponseField name="update_time" type="string">
      Update time of cardholder.
    </ResponseField>

    <ResponseField name="card_holder_status" type="string">
      Card holder status of cardholder.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/cardholders/05618fcd-ba44-4933-8f80-046a32f18399' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": 200,
      "message": "Success",
      "data": {
          "card_holder_id": "05618fcd-ba44-4933-8f80-046a32f18399",
          "email": "demo@uqpay.com",
          "first_name": "hello",
          "last_name": "world",
          "date_birth": "2023-09-28T00:00:00+08:00",
          "phone_number": "93_1564815641848",
          "residential_address": "{\"country\":\"BB\",\"state\":\"wed\",\"city\":\"ewd\",\"zip_code\":\"ewd\",\"address\":\"ewdewd\"}",
          "delivery_address": "",
          "create_time": "2023-09-28T15:04:44+08:00",
          "update_time": "2023-09-28T15:04:44+08:00",
          "card_holder_status": "SUCCESS"
      }
  }
  ```
</ResponseExample>
